services:
  app:
    image: orenciso/xgame-product-page-api:latest
    container_name: xgame-product-page-api
    env_file:
      - .env
    ports:
      - 3005:3005

  copy-product-page-env:
    image: orenciso/xgame-product-page-api:latest
    container_name: copy-product-page-env
    volumes:
      - /var/www/xgame-apis/xgame-product-page-api/.env:/temp/.env
    command: sh -c "cp /temp/.env /app/.env && exit"
